Subject: [bug#57496] [PATCH 0/2] Add support for chain-loader

From: Maxime Devos <[email-masked]>
Date: Wed, 31 Aug 2022 21:52:04 +0200

> Why do I want to use chainloader instead of linux and initrd?
>
> 1. guix system and archlinux are independent of each other in my computer.
> They are just on the same computer, but they have their own disk partitions.
> I also don't want them to interfere with each other.
> (I have no money to buy more computers. I just have one computer.)
Sounds a practical system to me.

On 31-08-2022 07:23, [email-masked] wrote:
> Is the chain-loader free?
>
> The chain-loader is a function of grub, and grub's protocol is GPL3.
> I think it is free. Although chain-loader can boot nonfree system like windows,
> it's like nonfree software can run on linux-libre, and linux-libre is free.
>
> If Guix think it's nonfree, I will only keep these changes in my computer.

I do believe it counts as free, especially given that it can be used to 
boot into other free systems (e.g., Trisquel) and that you example usage 
is for booting into a largely-free system.

Greetings,
Maxime.